libxapian-jni_1.4.12-2_i386.deb


Advertisement

Description

libxapian-jni - Xapian search engine interface for Java (JNI library)

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename libxapian-jni_1.4.12-2_i386.deb
Package name libxapian-jni
Package version 1.4.12
Package release 2
Package architecture i386
Package type deb
Category java
Homepage https://xapian.org/
License -
Maintainer Olly Betts <olly@survex.com>
Download size 243.17 KB
Installed size 768.00 KB

Alternatives

Package Version Architecture Repository
libxapian-jni_1.4.12-2_amd64.deb 1.4.12 amd64 Debian Main
libxapian-jni - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libstdc++6 >= 5.2
libxapian30 >= 1.4.12~

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libxapian-jni_1.4.12-2_i386.deb
Source Package xapian-bindings

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxapian-jni deb package:
    # sudo apt-get install libxapian-jni

Files

Path
/usr/lib/i386-linux-gnu/jni/libxapian_jni.so
/usr/share/doc/libxapian-jni/changelog.Debian.gz
/usr/share/doc/libxapian-jni/changelog.gz
/usr/share/doc/libxapian-jni/copyright

Changelog

2019-08-23 - Olly Betts <olly@survex.com>
xapian-bindings (1.4.12-2) unstable; urgency=medium
* debian/patches/ruby2.4-compat.patch: Cherry-pick patch from upstream
to restore compatibility with Ruby 2.4.  Not important for the package
in unstable or buster, but it is for backports to stretch, etc.
2019-08-23 - Olly Betts <olly@survex.com>
xapian-bindings (1.4.12-1) unstable; urgency=medium
* New upstream release
* debian/control.in: Mark conformance with policy 4.4.0.
2019-03-02 - Olly Betts <olly@survex.com>
xapian-bindings (1.4.11-2) unstable; urgency=medium
* debian/control: Needs libxapian-dev (>= 1.4.11) for
Xapian::MSet::SNIPPET_CJK_NGRAM.
2019-03-02 - Olly Betts <olly@survex.com>
xapian-bindings (1.4.11-1) unstable; urgency=medium
* New upstream release
* debian/control.in: Mark conformance with policy 4.3.0.
2019-02-12 - Olly Betts <olly@survex.com>
xapian-bindings (1.4.10-1) unstable; urgency=medium
* New upstream release
* Enable Multi-Arch for Java bindings.
* debian/control.in: Specify "Rules-Requires-Root: no"
2018-11-03 - Olly Betts <olly@survex.com>
xapian-bindings (1.4.9-1) unstable; urgency=medium
* New upstream release
+ debian/patches/php7.3-compat.patch: Included upstream so drop.
2018-10-29 - Olly Betts <olly@survex.com>
xapian-bindings (1.4.8-1) unstable; urgency=medium
* New upstream release
* debian/rules: xapian-core now has a shlibs file so drop hack here to add
versioning to the libxapian dependency.  (Closes: #912105)
* debian/control.in: Mark conformance with policy 4.2.1.
* debian/patches/php7.3-compat.patch: Add patch for PHP 7.3 compatibility.
2018-07-21 - Olly Betts <olly@survex.com>
xapian-bindings (1.4.7-2) unstable; urgency=medium
* debian/control-ruby.in: Correct typo: $${ruby:Versions} -> ${ruby:Versions}
* debian/tests/control: Need default-jdk for the java bindings test.
* debian/tests/control: Add explicit dependencies for tests, so each test
only depends on the bindings it is actually testing.
2018-07-20 - Olly Betts <olly@survex.com>
xapian-bindings (1.4.7-1) unstable; urgency=medium
* New upstream release
* Add autopkgtest which checks that each of bindings can be imported or
equivalent.
* debian/control.in: Mark conformance with policy 4.1.5.
2018-07-03 - Olly Betts <olly@survex.com>
xapian-bindings (1.4.6-1) unstable; urgency=medium
* New upstream release
* debian/rules: Take PHP7_VERSIONS from environment variable if set.
* debian/control.in: Declare conformance with standards-version 4.1.4.
* debian/control.in: Update Vcs-* to point to salsa.d.o.
* Drop "X-Python-Version: 2.3" - Debian oldstable satisfies this requirement
so it's no longer useful.
* debian/ruby-xapian.doc-base: Remove unused wildcard pattern to silence
Lintian error.

See Also

Package Description
libxapian30_1.4.12-1_i386.deb Search engine library
libxapp-dev_1.4.9-1_i386.deb XApp library - development files
libxapp1_1.4.9-1_i386.deb XApp library
libxatracker-dev_19.2.1-1_i386.deb X acceleration library -- development files
libxatracker2_19.2.1-1_i386.deb X acceleration library -- runtime
libxau-dev_1.0.8-1+b2_i386.deb X11 authorisation library (development headers)
libxau6_1.0.8-1+b2_i386.deb X11 authorisation library
libxaw-doc_1.0.13-1_all.deb X11 Athena Widget library (documentation)
libxaw3dxft6_2.9.1.4-3.2+b1_i386.deb An extended version of Xaw3d with support for UTF8
libxaw3dxft8-dev_1.6.2e-2_i386.deb Extended version of Xaw3d with support for UTF8 (Development files)
libxaw3dxft8_1.6.2e-2_i386.deb Extended version of Xaw3d with support for UTF8
libxaw7-dev_1.0.13-1+b2_i386.deb X11 Athena Widget library (development headers)
libxaw7_1.0.13-1+b2_i386.deb X11 Athena Widget library
libxbae-dev_4.60.4-7+b11_i386.deb Xbae Matrix Widget development package
libxbae4m_4.60.4-7+b11_i386.deb Xbae Matrix Widget libraries
Advertisement
Advertisement